<%@ Page Language="C#" %>

<script runat="server">
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Write("Postback!");
    }
</script>

<script language="javascript">
   function AlertHello()
   { 
      alert('Witaj ASP.NET');
   }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Kontrolka serwerowa Button</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Button ID="Button1" runat="server" Text="Przycisk" 
         OnClientClick="AlertHello()" OnClick="Button1_Click" />
    </form>
</body>
</html>
